Bug 31158 - regular ftp users cannot delete/overwrite files
Summary: regular ftp users cannot delete/overwrite files
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: wu-ftpd   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-09 13:36 UTC by Gerald Teschl
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-28 22:08:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerald Teschl 2001-03-09 13:36:10 UTC
wu-ftpd-2.6.1-15

In the latest wu-ftpd I noticed that regular ftp users cannot
delete/overwrite files.
This worked fine before. Moreover, I tried to enable delete/overwrite for
all users in /etc/ftpacces but it still won't work.

Comment 1 WU-FTPD Development Group 2001-03-12 22:35:34 UTC
User error.

Non-duplicatable.  Close this ticket.

Comment 2 Gerald Teschl 2001-03-13 19:28:11 UTC
Nope. No user error. This is a default installation (no configs changed):

[gerald@soliton gerald]$ ncftp -u gerald localhost
NcFTP 3.0.2 (October 19, 2000) by Mike Gleason (ncftp@ncftp.com).
Connecting to 127.0.0.1...
soliton.mat.univie.ac.at FTP server (Version wu-2.6.1(1) Wed Mar 7 11:08:16 EST
2001) ready.
Logging in...
Password requested by 127.0.0.1 for user "gerald".
 
    Password required for gerald.
 
Password:
 
User gerald logged in.
Logged in to localhost.
ncftp /home/gerald > ls
bin/           junk/          mma-files/     tex-files/
core           mail@          office52/      tmp/
Desktop/       Mail/          public_html/
ncftp /home/gerald > rm core
delete core: server said: core: Permission denied on server. (Delete)
ncftp /home/gerald >


Comment 3 Bernhard Rosenkraenzer 2001-03-28 22:08:53 UTC
Fixed in 2.6.1-16


Comment 4 Gerald Teschl 2001-03-30 15:19:40 UTC
Confirmed.


Note You need to log in before you can comment on or make changes to this bug.